# HG changeset patch
# Node ID a9277b273825
# Parent  0cf710628b2d
diff --git a/pidgin/gtkidle.h b/pidgin/gtkidle.h
--- a/pidgin/gtkidle.h
+++ b/pidgin/gtkidle.h
@@ -51,6 +51,7 @@ G_DECLARE_FINAL_TYPE(PidginIdle, pidgin_
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleIdleUi *pidgin_idle_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountchooser.h b/pidgin/pidginaccountchooser.h
--- a/pidgin/pidginaccountchooser.h
+++ b/pidgin/pidginaccountchooser.h
@@ -50,6 +50,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountChoose
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_account_chooser_new(void);
 
 /**
@@ -63,6 +64,7 @@ GtkWidget *pidgin_account_chooser_new(vo
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkFilter *pidgin_account_chooser_get_filter(PidginAccountChooser *chooser);
 
 /**
@@ -74,6 +76,7 @@ GtkFilter *pidgin_account_chooser_get_fi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_chooser_set_filter(PidginAccountChooser *chooser, GtkFilter *filter);
 
 /**
@@ -87,6 +90,7 @@ void pidgin_account_chooser_set_filter(P
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleAccount *pidgin_account_chooser_get_selected(PidginAccountChooser *chooser);
 
 /**
@@ -98,6 +102,7 @@ PurpleAccount *pidgin_account_chooser_ge
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_chooser_set_selected(PidginAccountChooser *chooser,
                                          PurpleAccount *account);
 
diff --git a/pidgin/pidginaccountdisplay.h b/pidgin/pidginaccountdisplay.h
--- a/pidgin/pidginaccountdisplay.h
+++ b/pidgin/pidginaccountdisplay.h
@@ -51,6 +51,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountDispla
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_account_display_new(PurpleAccount *account);
 
 /**
@@ -64,6 +65,7 @@ GtkWidget *pidgin_account_display_new(Pu
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleAccount *pidgin_account_display_get_account(PidginAccountDisplay *display);
 
 /**
@@ -75,6 +77,7 @@ PurpleAccount *pidgin_account_display_ge
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_display_set_account(PidginAccountDisplay *display, PurpleAccount *account);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccounteditor.h b/pidgin/pidginaccounteditor.h
--- a/pidgin/pidginaccounteditor.h
+++ b/pidgin/pidginaccounteditor.h
@@ -62,6 +62,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountEditor
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_account_editor_new(PurpleAccount *account);
 
 /**
@@ -74,6 +75,7 @@ GtkWidget *pidgin_account_editor_new(Pur
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleAccount *pidgin_account_editor_get_account(PidginAccountEditor *editor);
 
 /**
@@ -86,6 +88,7 @@ PurpleAccount *pidgin_account_editor_get
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_editor_set_account(PidginAccountEditor *editor, PurpleAccount *account);
 
 /**
@@ -99,6 +102,7 @@ void pidgin_account_editor_set_account(P
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 gboolean pidgin_account_editor_get_is_valid(PidginAccountEditor *editor);
 
 /**
@@ -110,6 +114,7 @@ gboolean pidgin_account_editor_get_is_va
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_editor_save(PidginAccountEditor *editor);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountfilterconnected.h b/pidgin/pidginaccountfilterconnected.h
--- a/pidgin/pidginaccountfilterconnected.h
+++ b/pidgin/pidginaccountfilterconnected.h
@@ -61,6 +61,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountFilter
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkFilter *pidgin_account_filter_connected_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountfilterprotocol.h b/pidgin/pidginaccountfilterprotocol.h
--- a/pidgin/pidginaccountfilterprotocol.h
+++ b/pidgin/pidginaccountfilterprotocol.h
@@ -62,6 +62,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountFilter
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkFilter *pidgin_account_filter_protocol_new(const gchar *protocol_id);
 
 /**
@@ -74,6 +75,7 @@ GtkFilter *pidgin_account_filter_protoco
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const gchar *pidgin_account_filter_protocol_get_protocol_id(PidginAccountFilterProtocol *filter);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountmanager.h b/pidgin/pidginaccountmanager.h
--- a/pidgin/pidginaccountmanager.h
+++ b/pidgin/pidginaccountmanager.h
@@ -56,6 +56,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountManage
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_account_manager_new(void);
 
 /**
@@ -67,6 +68,7 @@ GtkWidget *pidgin_account_manager_new(vo
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_manager_show_overview(PidginAccountManager *manager);
 
 /**
@@ -78,6 +80,7 @@ void pidgin_account_manager_show_overvie
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_manager_edit_account(PidginAccountManager *manager, PurpleAccount *account);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountmanagerrow.h b/pidgin/pidginaccountmanagerrow.h
--- a/pidgin/pidginaccountmanagerrow.h
+++ b/pidgin/pidginaccountmanagerrow.h
@@ -59,6 +59,7 @@ G_BEGIN_DECLS
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_account_manager_row_new(PurpleAccount *account);
 
 /**
@@ -71,6 +72,7 @@ GtkWidget *pidgin_account_manager_row_ne
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleAccount *pidgin_account_manager_row_get_account(PidginAccountManagerRow *row);
 
 /**
@@ -82,6 +84,7 @@ PurpleAccount *pidgin_account_manager_ro
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_manager_row_set_account(PidginAccountManagerRow *row, PurpleAccount *account);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountrow.h b/pidgin/pidginaccountrow.h
--- a/pidgin/pidginaccountrow.h
+++ b/pidgin/pidginaccountrow.h
@@ -74,6 +74,7 @@ GtkWidget *pidgin_account_row_new(void);
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleAccount *pidgin_account_row_get_account(PidginAccountRow *row);
 
 /**
@@ -86,6 +87,7 @@ PurpleAccount *pidgin_account_row_get_ac
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_row_set_account(PidginAccountRow *row, PurpleAccount *account);
 
 /**
@@ -99,6 +101,7 @@ void pidgin_account_row_set_account(Pidg
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkFilter *pidgin_account_row_get_filter(PidginAccountRow *row);
 
 /**
@@ -111,6 +114,7 @@ GtkFilter *pidgin_account_row_get_filter
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_account_row_set_filter(PidginAccountRow *row, GtkFilter *filter);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountsdisabledmenu.h b/pidgin/pidginaccountsdisabledmenu.h
--- a/pidgin/pidginaccountsdisabledmenu.h
+++ b/pidgin/pidginaccountsdisabledmenu.h
@@ -52,6 +52,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountsDisab
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GMenuModel *pidgin_accounts_disabled_menu_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountsenabledmenu.h b/pidgin/pidginaccountsenabledmenu.h
--- a/pidgin/pidginaccountsenabledmenu.h
+++ b/pidgin/pidginaccountsenabledmenu.h
@@ -61,6 +61,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountsEnabl
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GMenuModel *pidgin_accounts_enabled_menu_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginaddbuddydialog.h b/pidgin/pidginaddbuddydialog.h
--- a/pidgin/pidginaddbuddydialog.h
+++ b/pidgin/pidginaddbuddydialog.h
@@ -63,6 +63,7 @@ G_DECLARE_FINAL_TYPE(PidginAddBuddyDialo
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_add_buddy_dialog_new(PurpleAccount *account, const gchar *username, const gchar *alias, const gchar *message, const gchar *group);
 
 G_END_DECLS
diff --git a/pidgin/pidginaddchatdialog.h b/pidgin/pidginaddchatdialog.h
--- a/pidgin/pidginaddchatdialog.h
+++ b/pidgin/pidginaddchatdialog.h
@@ -62,6 +62,7 @@ G_DECLARE_FINAL_TYPE(PidginAddChatDialog
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_add_chat_dialog_new(PurpleAccount *account, PurpleGroup *group, const gchar *alias, const gchar *name);
 
 G_END_DECLS
diff --git a/pidgin/pidginapplication.h b/pidgin/pidginapplication.h
--- a/pidgin/pidginapplication.h
+++ b/pidgin/pidginapplication.h
@@ -60,6 +60,7 @@ G_DECLARE_FINAL_TYPE(PidginApplication, 
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GApplication *pidgin_application_new(void);
 
 /**
@@ -77,6 +78,7 @@ GApplication *pidgin_application_new(voi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_application_add_action_group(PidginApplication *application, const gchar *prefix, GActionGroup *action_group);
 
 /**
@@ -92,6 +94,7 @@ void pidgin_application_add_action_group
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWindow *pidgin_application_get_active_window(PidginApplication *application);
 
 G_END_DECLS
diff --git a/pidgin/pidginautoadjustment.h b/pidgin/pidginautoadjustment.h
--- a/pidgin/pidginautoadjustment.h
+++ b/pidgin/pidginautoadjustment.h
@@ -62,6 +62,7 @@ G_DECLARE_FINAL_TYPE(PidginAutoAdjustmen
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkAdjustment *pidgin_auto_adjustment_new(void);
 
 /**
@@ -72,6 +73,7 @@ GtkAdjustment *pidgin_auto_adjustment_ne
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_auto_adjustment_decrement(PidginAutoAdjustment *auto_scroller);
 
 /**
@@ -82,6 +84,7 @@ void pidgin_auto_adjustment_decrement(Pi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_auto_adjustment_increment(PidginAutoAdjustment *auto_scroller);
 
 G_END_DECLS
diff --git a/pidgin/pidginavatar.h b/pidgin/pidginavatar.h
--- a/pidgin/pidginavatar.h
+++ b/pidgin/pidginavatar.h
@@ -60,6 +60,7 @@ G_DECLARE_FINAL_TYPE(PidginAvatar, pidgi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_avatar_new(void);
 
 /**
@@ -73,6 +74,7 @@ GtkWidget *pidgin_avatar_new(void);
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_avatar_set_animate(PidginAvatar *avatar, gboolean animate);
 
 /**
@@ -85,6 +87,7 @@ void pidgin_avatar_set_animate(PidginAva
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 gboolean pidgin_avatar_get_animate(PidginAvatar *avatar);
 
 /**
@@ -96,6 +99,7 @@ gboolean pidgin_avatar_get_animate(Pidgi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_avatar_set_buddy(PidginAvatar *avatar, PurpleBuddy *buddy);
 
 /**
@@ -108,6 +112,7 @@ void pidgin_avatar_set_buddy(PidginAvata
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleBuddy *pidgin_avatar_get_buddy(PidginAvatar *avatar);
 
 /**
@@ -120,6 +125,7 @@ PurpleBuddy *pidgin_avatar_get_buddy(Pid
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_avatar_set_conversation(PidginAvatar *avatar, PurpleConversation *conversation);
 
 /**
@@ -133,6 +139,7 @@ void pidgin_avatar_set_conversation(Pidg
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleConversation *pidgin_avatar_get_conversation(PidginAvatar *avatar);
 
 G_END_DECLS
diff --git a/pidgin/pidginchanneljoindialog.h b/pidgin/pidginchanneljoindialog.h
--- a/pidgin/pidginchanneljoindialog.h
+++ b/pidgin/pidginchanneljoindialog.h
@@ -56,6 +56,7 @@ G_DECLARE_FINAL_TYPE(PidginChannelJoinDi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_channel_join_dialog_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidgincolor.h b/pidgin/pidgincolor.h
--- a/pidgin/pidgincolor.h
+++ b/pidgin/pidgincolor.h
@@ -29,6 +29,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -48,6 +50,7 @@ G_BEGIN_DECLS
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_color_calculate_for_text(const gchar *text,  GdkRGBA *color);
 
 G_END_DECLS
diff --git a/pidgin/pidgincontactinfomenu.h b/pidgin/pidgincontactinfomenu.h
--- a/pidgin/pidgincontactinfomenu.h
+++ b/pidgin/pidgincontactinfomenu.h
@@ -33,6 +33,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -48,6 +50,7 @@ G_BEGIN_DECLS
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_contact_info_menu_popup(PurpleContactInfo *info, PurpleAccount *account, GtkWidget *parent, gdouble x, gdouble y);
 
 G_END_DECLS
diff --git a/pidgin/pidgincontactlistwindow.h b/pidgin/pidgincontactlistwindow.h
--- a/pidgin/pidgincontactlistwindow.h
+++ b/pidgin/pidgincontactlistwindow.h
@@ -60,6 +60,7 @@ G_DECLARE_FINAL_TYPE(PidginContactListWi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_contact_list_window_new(void);
 
 /**
@@ -72,6 +73,7 @@ GtkWidget *pidgin_contact_list_window_ne
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_contact_list_window_get_vbox(PidginContactListWindow *window);
 
 G_END_DECLS
diff --git a/pidgin/pidginconversation.h b/pidgin/pidginconversation.h
--- a/pidgin/pidginconversation.h
+++ b/pidgin/pidginconversation.h
@@ -59,6 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginConversation,
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_conversation_new(PurpleConversation *conversation);
 
 /**
@@ -72,6 +73,7 @@ GtkWidget *pidgin_conversation_new(Purpl
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_conversation_from_purple_conversation(PurpleConversation *conversation);
 
 /**
@@ -85,6 +87,7 @@ GtkWidget *pidgin_conversation_from_purp
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleConversation *pidgin_conversation_get_conversation(PidginConversation *conversation);
 
 /**
@@ -97,6 +100,7 @@ PurpleConversation *pidgin_conversation_
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_conversation_close(PidginConversation *conversation);
 
 G_END_DECLS
diff --git a/pidgin/pidgindebug.h b/pidgin/pidgindebug.h
--- a/pidgin/pidgindebug.h
+++ b/pidgin/pidgindebug.h
@@ -47,6 +47,7 @@ G_DECLARE_FINAL_TYPE(PidginDebugWindow, 
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_debug_init_handler(void);
 
 /**
@@ -58,6 +59,7 @@ void pidgin_debug_init_handler(void);
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_debug_set_print_enabled(gboolean enable);
 
 /**
diff --git a/pidgin/pidgindisplayitem.h b/pidgin/pidgindisplayitem.h
--- a/pidgin/pidgindisplayitem.h
+++ b/pidgin/pidgindisplayitem.h
@@ -71,6 +71,7 @@ PidginDisplayItem *pidgin_display_item_n
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_display_item_get_widget(PidginDisplayItem *item);
 
 /**
@@ -83,6 +84,7 @@ GtkWidget *pidgin_display_item_get_widge
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const char *pidgin_display_item_get_id(PidginDisplayItem *item);
 
 /**
@@ -95,6 +97,7 @@ const char *pidgin_display_item_get_id(P
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const char *pidgin_display_item_get_title(PidginDisplayItem *item);
 
 /**
@@ -106,6 +109,7 @@ const char *pidgin_display_item_get_titl
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_item_set_title(PidginDisplayItem *item, const char *title);
 
 /**
@@ -118,6 +122,7 @@ void pidgin_display_item_set_title(Pidgi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const char *pidgin_display_item_get_icon_name(PidginDisplayItem *item);
 
 /**
@@ -129,6 +134,7 @@ const char *pidgin_display_item_get_icon
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_item_set_icon_name(PidginDisplayItem *item, const char *icon_name);
 
 /**
@@ -141,6 +147,7 @@ void pidgin_display_item_set_icon_name(P
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 gboolean pidgin_display_item_get_needs_attention(PidginDisplayItem *item);
 
 /**
@@ -152,6 +159,7 @@ gboolean pidgin_display_item_get_needs_a
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_item_set_needs_attention(PidginDisplayItem *item, gboolean needs_attention);
 
 /**
@@ -164,6 +172,7 @@ void pidgin_display_item_set_needs_atten
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 guint pidgin_display_item_get_badge_number(PidginDisplayItem *item);
 
 /**
@@ -176,6 +185,7 @@ guint pidgin_display_item_get_badge_numb
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_item_set_badge_number(PidginDisplayItem *item, guint badge_number);
 
 /**
@@ -188,6 +198,7 @@ void pidgin_display_item_set_badge_numbe
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GListModel *pidgin_display_item_get_children(PidginDisplayItem *item);
 
 /**
@@ -200,6 +211,7 @@ GListModel *pidgin_display_item_get_chil
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_item_set_children(PidginDisplayItem *item, GListModel *children);
 
 G_END_DECLS
diff --git a/pidgin/pidgindisplaywindow.h b/pidgin/pidgindisplaywindow.h
--- a/pidgin/pidgindisplaywindow.h
+++ b/pidgin/pidgindisplaywindow.h
@@ -69,6 +69,7 @@ GtkWidget *pidgin_display_window_new(voi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_display_window_get_default(void);
 
 /**
@@ -81,6 +82,7 @@ GtkWidget *pidgin_display_window_get_def
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_window_add(PidginDisplayWindow *window, PurpleConversation *conversation);
 
 /**
@@ -93,6 +95,7 @@ void pidgin_display_window_add(PidginDis
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_window_remove(PidginDisplayWindow *window, PurpleConversation *conversation);
 
 /**
@@ -105,6 +108,7 @@ void pidgin_display_window_remove(Pidgin
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 guint pidgin_display_window_get_count(PidginDisplayWindow *window);
 
 /**
@@ -118,6 +122,7 @@ guint pidgin_display_window_get_count(Pi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleConversation *pidgin_display_window_get_selected(PidginDisplayWindow *window);
 
 /**
@@ -129,6 +134,7 @@ PurpleConversation *pidgin_display_windo
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_window_select(PidginDisplayWindow *window, PurpleConversation *conversation);
 
 /**
@@ -142,6 +148,7 @@ void pidgin_display_window_select(Pidgin
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_window_select_previous(PidginDisplayWindow *window);
 
 /**
@@ -154,6 +161,7 @@ void pidgin_display_window_select_previo
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_window_select_next(PidginDisplayWindow *window);
 
 /**
@@ -165,6 +173,7 @@ void pidgin_display_window_select_next(P
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_window_select_first(PidginDisplayWindow *window);
 
 /**
@@ -176,6 +185,7 @@ void pidgin_display_window_select_first(
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_window_select_last(PidginDisplayWindow *window);
 
 /**
@@ -188,6 +198,7 @@ void pidgin_display_window_select_last(P
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_display_window_select_nth(PidginDisplayWindow *window, guint nth);
 
 /**
@@ -201,6 +212,7 @@ void pidgin_display_window_select_nth(Pi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 gboolean pidgin_display_window_conversation_is_selected(PidginDisplayWindow *window, PurpleConversation *conversation);
 
 G_END_DECLS
diff --git a/pidgin/pidginiconname.h b/pidgin/pidginiconname.h
--- a/pidgin/pidginiconname.h
+++ b/pidgin/pidginiconname.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -45,6 +47,7 @@ G_BEGIN_DECLS
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const gchar *pidgin_icon_name_from_status_primitive(PurpleStatusPrimitive primitive, const gchar *fallback);
 
 /**
@@ -58,6 +61,7 @@ const gchar *pidgin_icon_name_from_statu
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const gchar *pidgin_icon_name_from_status_type(PurpleStatusType *type, const gchar *fallback);
 
 /**
@@ -71,6 +75,7 @@ const gchar *pidgin_icon_name_from_statu
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const gchar *pidgin_icon_name_from_status(PurpleStatus *status, const gchar *fallback);
 
 /**
@@ -85,6 +90,7 @@ const gchar *pidgin_icon_name_from_statu
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const gchar *pidgin_icon_name_from_presence(PurplePresence *presence, const gchar *fallback);
 
 G_END_DECLS
diff --git a/pidgin/pidgininfopane.h b/pidgin/pidgininfopane.h
--- a/pidgin/pidgininfopane.h
+++ b/pidgin/pidgininfopane.h
@@ -84,6 +84,7 @@ PurpleConversation *pidgin_info_pane_get
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_info_pane_set_conversation(PidginInfoPane *pane, PurpleConversation *conversation);
 
 G_END_DECLS
diff --git a/pidgin/pidgininvitedialog.h b/pidgin/pidgininvitedialog.h
--- a/pidgin/pidgininvitedialog.h
+++ b/pidgin/pidgininvitedialog.h
@@ -81,6 +81,7 @@ G_DECLARE_FINAL_TYPE(PidginInviteDialog,
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_invite_dialog_new(PurpleChatConversation *conversation);
 
 /**
@@ -94,6 +95,7 @@ GtkWidget *pidgin_invite_dialog_new(Purp
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_invite_dialog_set_contact(PidginInviteDialog *dialog, const gchar *contact);
 
 /**
@@ -107,6 +109,7 @@ void pidgin_invite_dialog_set_contact(Pi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const gchar *pidgin_invite_dialog_get_contact(PidginInviteDialog *dialog);
 
 /**
@@ -119,6 +122,7 @@ const gchar *pidgin_invite_dialog_get_co
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_invite_dialog_set_message(PidginInviteDialog *dialog, const gchar *message);
 
 /**
@@ -132,6 +136,7 @@ void pidgin_invite_dialog_set_message(Pi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const gchar *pidgin_invite_dialog_get_message(PidginInviteDialog *dialog);
 
 /**
@@ -145,6 +150,7 @@ const gchar *pidgin_invite_dialog_get_me
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleChatConversation *pidgin_invite_dialog_get_conversation(PidginInviteDialog *dialog);
 
 G_END_DECLS
diff --git a/pidgin/pidginkeypad.h b/pidgin/pidginkeypad.h
--- a/pidgin/pidginkeypad.h
+++ b/pidgin/pidginkeypad.h
@@ -58,6 +58,7 @@ G_DECLARE_FINAL_TYPE(PidginKeypad, pidgi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_keypad_new(void);
 
 /**
@@ -72,6 +73,7 @@ GtkWidget *pidgin_keypad_new(void);
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_keypad_set_key_capture_widget(PidginKeypad *keypad, GtkWidget *widget);
 
 G_END_DECLS
diff --git a/pidgin/pidginnotificationaddcontact.h b/pidgin/pidginnotificationaddcontact.h
--- a/pidgin/pidginnotificationaddcontact.h
+++ b/pidgin/pidginnotificationaddcontact.h
@@ -77,6 +77,7 @@ GtkWidget *pidgin_notification_add_conta
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleNotification *pidgin_notification_add_contact_get_notification(PidginNotificationAddContact *request);
 
 G_END_DECLS
diff --git a/pidgin/pidginnotificationauthorizationrequest.h b/pidgin/pidginnotificationauthorizationrequest.h
--- a/pidgin/pidginnotificationauthorizationrequest.h
+++ b/pidgin/pidginnotificationauthorizationrequest.h
@@ -77,6 +77,7 @@ GtkWidget *pidgin_notification_authoriza
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleNotification *pidgin_notification_authorization_request_get_notification(PidginNotificationAuthorizationRequest *request);
 
 G_END_DECLS
diff --git a/pidgin/pidginnotificationconnectionerror.h b/pidgin/pidginnotificationconnectionerror.h
--- a/pidgin/pidginnotificationconnectionerror.h
+++ b/pidgin/pidginnotificationconnectionerror.h
@@ -76,6 +76,7 @@ GtkWidget *pidgin_notification_connectio
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleNotification *pidgin_notification_connection_error_get_notification(PidginNotificationConnectionError *error);
 
 G_END_DECLS
diff --git a/pidgin/pidginpluginsdialog.h b/pidgin/pidginpluginsdialog.h
--- a/pidgin/pidginpluginsdialog.h
+++ b/pidgin/pidginpluginsdialog.h
@@ -56,6 +56,7 @@ G_DECLARE_FINAL_TYPE(PidginPluginsDialog
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_plugins_dialog_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginpresenceicon.h b/pidgin/pidginpresenceicon.h
--- a/pidgin/pidginpresenceicon.h
+++ b/pidgin/pidginpresenceicon.h
@@ -62,6 +62,7 @@ G_BEGIN_DECLS
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_presence_icon_new(PurplePresence *presence, const gchar *fallback, GtkIconSize icon_size);
 
 /**
@@ -74,6 +75,7 @@ GtkWidget *pidgin_presence_icon_new(Purp
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurplePresence *pidgin_presence_icon_get_presence(PidginPresenceIcon *icon);
 
 /**
@@ -85,6 +87,7 @@ PurplePresence *pidgin_presence_icon_get
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_presence_icon_set_presence(PidginPresenceIcon *icon, PurplePresence *presence);
 
 /**
@@ -97,6 +100,7 @@ void pidgin_presence_icon_set_presence(P
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 const gchar *pidgin_presence_icon_get_fallback(PidginPresenceIcon *icon);
 
 /**
@@ -108,6 +112,7 @@ const gchar *pidgin_presence_icon_get_fa
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_presence_icon_set_fallback(PidginPresenceIcon *icon, const gchar *fallback);
 
 /**
@@ -120,6 +125,7 @@ void pidgin_presence_icon_set_fallback(P
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkIconSize pidgin_presence_icon_get_icon_size(PidginPresenceIcon *icon);
 
 /**
@@ -131,6 +137,7 @@ GtkIconSize pidgin_presence_icon_get_ico
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_presence_icon_set_icon_size(PidginPresenceIcon *icon, GtkIconSize icon_size);
 
 G_END_DECLS
diff --git a/pidgin/pidginprivate.h b/pidgin/pidginprivate.h
--- a/pidgin/pidginprivate.h
+++ b/pidgin/pidginprivate.h
@@ -31,6 +31,8 @@
 
 #include <purple.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /*
@@ -42,6 +44,7 @@ G_BEGIN_DECLS
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_commands_init(void);
 
 /*
@@ -53,6 +56,7 @@ void pidgin_commands_init(void);
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_commands_uninit(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginprotocolchooser.h b/pidgin/pidginprotocolchooser.h
--- a/pidgin/pidginprotocolchooser.h
+++ b/pidgin/pidginprotocolchooser.h
@@ -52,6 +52,7 @@ G_DECLARE_FINAL_TYPE(PidginProtocolChoos
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_protocol_chooser_new(void);
 
 /**
@@ -65,6 +66,7 @@ GtkWidget *pidgin_protocol_chooser_new(v
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleProtocol *pidgin_protocol_chooser_get_protocol(PidginProtocolChooser *chooser);
 
 /**
@@ -77,6 +79,7 @@ PurpleProtocol *pidgin_protocol_chooser_
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_protocol_chooser_set_protocol(PidginProtocolChooser *chooser, PurpleProtocol *protocol);
 
 G_END_DECLS
diff --git a/pidgin/pidginstatusdisplay.h b/pidgin/pidginstatusdisplay.h
--- a/pidgin/pidginstatusdisplay.h
+++ b/pidgin/pidginstatusdisplay.h
@@ -50,6 +50,7 @@ G_DECLARE_FINAL_TYPE(PidginStatusDisplay
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_status_display_new(void);
 
 /**
@@ -62,6 +63,7 @@ GtkWidget *pidgin_status_display_new(voi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_status_display_new_for_primitive(PurpleStatusPrimitive primitive);
 
 /**
@@ -74,6 +76,7 @@ GtkWidget *pidgin_status_display_new_for
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_status_display_new_for_saved_status(PurpleSavedStatus *status);
 
 /**
@@ -87,6 +90,7 @@ GtkWidget *pidgin_status_display_new_for
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleStatusPrimitive pidgin_status_display_get_primitive(PidginStatusDisplay *display);
 
 /**
@@ -100,6 +104,7 @@ PurpleStatusPrimitive pidgin_status_disp
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_status_display_set_primitive(PidginStatusDisplay *display, PurpleStatusPrimitive primitive);
 
 /**
@@ -113,6 +118,7 @@ void pidgin_status_display_set_primitive
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleSavedStatus *pidgin_status_display_get_saved_status(PidginStatusDisplay *display);
 
 /**
@@ -126,6 +132,7 @@ PurpleSavedStatus *pidgin_status_display
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_status_display_set_saved_status(PidginStatusDisplay *display, PurpleSavedStatus *status);
 
 G_END_DECLS
diff --git a/pidgin/pidginstatuseditor.h b/pidgin/pidginstatuseditor.h
--- a/pidgin/pidginstatuseditor.h
+++ b/pidgin/pidginstatuseditor.h
@@ -58,6 +58,7 @@ G_DECLARE_FINAL_TYPE(PidginStatusEditor,
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_status_editor_new(PurpleSavedStatus *status);
 
 /**
@@ -71,6 +72,7 @@ GtkWidget *pidgin_status_editor_new(Purp
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleSavedStatus *pidgin_status_editor_get_status(PidginStatusEditor *editor);
 
 G_END_DECLS
diff --git a/pidgin/pidginstatusprimitivechooser.h b/pidgin/pidginstatusprimitivechooser.h
--- a/pidgin/pidginstatusprimitivechooser.h
+++ b/pidgin/pidginstatusprimitivechooser.h
@@ -63,6 +63,7 @@ G_DECLARE_FINAL_TYPE(PidginStatusPrimiti
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_status_primitive_chooser_new(void);
 
 /**
@@ -75,6 +76,7 @@ GtkWidget *pidgin_status_primitive_choos
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleStatusPrimitive pidgin_status_primitive_chooser_get_selected(PidginStatusPrimitiveChooser *chooser);
 
 /**
@@ -86,6 +88,7 @@ PurpleStatusPrimitive pidgin_status_prim
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_status_primitive_chooser_set_selected(PidginStatusPrimitiveChooser *chooser, PurpleStatusPrimitive primitive);
 
 G_END_DECLS
diff --git a/pidgin/pidgintextbuffer.h b/pidgin/pidgintextbuffer.h
--- a/pidgin/pidgintextbuffer.h
+++ b/pidgin/pidgintextbuffer.h
@@ -29,6 +29,8 @@
 
 #include <gtk/gtk.h>
 
+#include "pidginversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -49,6 +51,7 @@ G_BEGIN_DECLS
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 char *pidgin_text_buffer_get_html(GtkTextBuffer *buffer);
 
 /**
@@ -67,8 +70,9 @@ char *pidgin_text_buffer_get_html(GtkTex
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 char *pidgin_text_buffer_get_html_range(GtkTextBuffer *buffer, GtkTextIter *start, GtkTextIter *end);
 
 G_END_DECLS
 
-#endif /* PIDGIN_TEXT_BUFFER_H */
\ No newline at end of file
+#endif /* PIDGIN_TEXT_BUFFER_H */
diff --git a/pidgin/prefs/pidginawayprefs.h b/pidgin/prefs/pidginawayprefs.h
--- a/pidgin/prefs/pidginawayprefs.h
+++ b/pidgin/prefs/pidginawayprefs.h
@@ -59,6 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginAwayPrefs, pi
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_away_prefs_new(void);
 
 G_END_DECLS
diff --git a/pidgin/prefs/pidginconversationprefs.h b/pidgin/prefs/pidginconversationprefs.h
--- a/pidgin/prefs/pidginconversationprefs.h
+++ b/pidgin/prefs/pidginconversationprefs.h
@@ -59,6 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginConversationP
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_conversation_prefs_new(void);
 
 G_END_DECLS
diff --git a/pidgin/prefs/pidgincredentialprefs.h b/pidgin/prefs/pidgincredentialprefs.h
--- a/pidgin/prefs/pidgincredentialprefs.h
+++ b/pidgin/prefs/pidgincredentialprefs.h
@@ -67,6 +67,7 @@ G_DECLARE_FINAL_TYPE(PidginCredentialPre
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_credential_prefs_new(void);
 
 G_END_DECLS
diff --git a/pidgin/prefs/pidgincredentialproviderrow.h b/pidgin/prefs/pidgincredentialproviderrow.h
--- a/pidgin/prefs/pidgincredentialproviderrow.h
+++ b/pidgin/prefs/pidgincredentialproviderrow.h
@@ -70,6 +70,7 @@ G_DECLARE_FINAL_TYPE(PidginCredentialPro
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_credential_provider_row_new(PurpleCredentialProvider *provider);
 
 /**
@@ -82,6 +83,7 @@ GtkWidget *pidgin_credential_provider_ro
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleCredentialProvider *pidgin_credential_provider_row_get_provider(PidginCredentialProviderRow *row);
 
 /**
@@ -94,6 +96,7 @@ PurpleCredentialProvider *pidgin_credent
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 gboolean pidgin_credential_provider_row_get_active(PidginCredentialProviderRow *row);
 
 /**
@@ -105,6 +108,7 @@ gboolean pidgin_credential_provider_row_
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_credential_provider_row_set_active(PidginCredentialProviderRow *row, gboolean active);
 
 G_END_DECLS
diff --git a/pidgin/prefs/pidginnetworkprefs.h b/pidgin/prefs/pidginnetworkprefs.h
--- a/pidgin/prefs/pidginnetworkprefs.h
+++ b/pidgin/prefs/pidginnetworkprefs.h
@@ -59,6 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginNetworkPrefs,
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_network_prefs_new(void);
 
 G_END_DECLS
diff --git a/pidgin/prefs/pidginproxyprefs.h b/pidgin/prefs/pidginproxyprefs.h
--- a/pidgin/prefs/pidginproxyprefs.h
+++ b/pidgin/prefs/pidginproxyprefs.h
@@ -59,6 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginProxyPrefs, p
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_proxy_prefs_new(void);
 
 G_END_DECLS
diff --git a/pidgin/prefs/pidginvvprefs.h b/pidgin/prefs/pidginvvprefs.h
--- a/pidgin/prefs/pidginvvprefs.h
+++ b/pidgin/prefs/pidginvvprefs.h
@@ -59,6 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginVVPrefs, pidg
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_vv_prefs_new(void);
 
 /**
@@ -70,6 +71,7 @@ GtkWidget *pidgin_vv_prefs_new(void);
  *
  * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_vv_prefs_disable_test_pipelines(PidginVVPrefs *prefs);
 
 G_END_DECLS
